Skip to content

Submit profile extensions
deprecated

Request

This endpoint is deprecated. Please check the Additional Verification endpoints for providing additional verification details for a profile.

Submit the extra profile information gathered from the extension requirements. See the GET extension-requirements endpoint for full details on how to use these endpoints together.

Security
UserToken
Path
profileIdinteger, (int64)required

Profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/json
detailsobject

Extension details object with key-value pairs.

curl -i -X POST \
  'https://api.wise.com/v1/profiles/{profileId}/extensions' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "details": {
      "accountPurpose": "SENDING_MONEY_REGULARLY_TO_FAMILY"
    }
  }'

Responses

Profile extensions submitted successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content